| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LuaDebuggerWatchRowPresenter Class Reference

Per-row presentation for top-level Watch rows. More...

`#include <lua_debugger_watch.h>`

Inheritance diagram for LuaDebuggerWatchRowPresenter:

## Public Member Functions
| LuaDebuggerWatchRowPresenter (QObject *parent, QTreeView *tree, QStandardItemModel *model, LuaDebuggerChangeHighlightTracker &tracker)
void | applyEmpty (QStandardItem *item, const QString &muted, const QString &watchTipExtra)
| Empty top-level row (no spec yet).
void | applyNoLiveContext (QStandardItem *item, const QString &muted, const QString &watchTipExtra)
| Live context unavailable (debugger not paused).
void | applyError (QStandardItem *item, const QString &errStr, const QString &watchTipExtra)
| Watch evaluation failed (path not found, expr error, etc.).
void | applySuccess (QStandardItem *item, const QString &spec, const char *val, const char *typ, bool can_expand, const QString &watchTipExtra, int stackLevel, bool changeHighlightAllowed)
| Path-style watch root with a successful read.
void | applyExpression (QStandardItem *item, const QString &spec, const char *val, const char *typ, bool can_expand, const QString &watchTipExtra, int stackLevel, bool changeHighlightAllowed)
| Expression-style watch root with a successful read.

## Detailed Description

Per-row presentation for top-level Watch rows.

Owns the icons / foreground / tooltip / change-highlight stamping for each row state. Has no opinion about lazy-fill or expansion tracking — those stay on `LuaDebuggerWatchController`, which calls the matching `apply*` method after dispatching on liveness / error / path-vs-expression.

Construction takes only the immediate Qt collaborators plus the change-highlight tracker, so the presenter can be exercised against a stand-in model without spinning up an entire dialog.

## Constructor & Destructor Documentation

## ◆ LuaDebuggerWatchRowPresenter()

LuaDebuggerWatchRowPresenter::LuaDebuggerWatchRowPresenter | ( | QObject * | parent,
|  | QTreeView * | tree,
|  | QStandardItemModel * | model,
|  | LuaDebuggerChangeHighlightTracker & | tracker )

Parameters

  parent | Parent QObject; also receives one-shot flash timers posted via `LuaDebuggerChangeHighlightTracker`.
  tree | Watch tree (palette source).
  model | Watch model (cell-data writes).
  tracker | Owns baseline / current maps and the change-visuals stamp. Borrowed reference, must outlive the presenter.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_watch.h
- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_watch.cpp